## Acknowledgments and Licenses

### Beta Testers

- Andrew Edwards
- Brian Nelson
- Claudio Bartoli
- Dale McDonald
- David Bimmler
- Dirk Rombauts
- Grant Vergottini
- Hugo Dahl
- Jeff Wilcox
- John AC Lupe
- Justin Schwartzenberger
- Luis Lavena
- Nicolas Hery
- Oliver Salzburg
- Peter Bright
- Scott Hanselman
- Steven Elliott
- Sudarsan Balaji
- Will Hawkins
- William Parry
- And many others, thank you!

### Translators

#### Chinese (PRC, zh-CN)

- Wu Qingyuan
- [Hu Junqing](http://github.com/learnshare)
- Lin Beck
- Yong Sam
- Liang Honghao
- Sun Zhidong
- Benny F
- Daniel Z
- Ming Zhu
- He Lan

#### German (Germany, de-DE)

- [Oliver Salzburg](https://plus.google.com/106340271308638051514)
- David Bimmler
- John AC Lupe
- Andreas Linnert
- Lukas Schulze

#### Polish (Poland, pl-PL)

- Michał Dziubek
- Slawomir Koszewski

#### Portuguese (Portugal, pt-PT)

- [Sérgio Costa](http://www.sergiocosta.me)

#### Russian (Russia, ru-RU)

- [Paul Klyuchnikov](http://emelyaplusweb.ru)
- Vitaly Kuzmin

#### Finnish (Finland, fi-FI)

- [Jaakko Salonen](http://blite.iki.fi/)

#### Italian (Italy, it-IT)

- Jacopo Scarponi
- Claudio Bartoli
- Michele Locati
- Stefano Paparesta

#### French (France, fr-FR)

- [Hugo Dahl](http://code-jedi.com)
- Jean-Michel MEYER
- David Brabant
- Clément Bourgeois
- Basile Cornet
- Christian Mattart
- Olivier Piasentin
- Laurent Souchet
- David Hannibal

#### Japanese (Japan, ja-JP)

- Yoshiaki Tanaka
- [Haruo Nakayama](http://blog.harupong.com)
- Yasufumi Kobayashi
- Yoshinori Kuninaka

#### Korean (Korea, ko-KR)

- [Hanjo Kim](http://lordmiss.com)
- Dae-yeop Lee

#### Danish (Denmark, da-DK)

- [Mikael Lyngvig](http:/www.lyngvig.org)

#### Hungarian (Hungary, hu-HU)

- Egyed Serf

#### Want to help translate MarkdownPad?

Please visit <http://translate.markdownpad.com>.

### Special Thanks

- David Kluver
- [Elton Muuga](https://twitter.com/elxx)
- Sarah Wondrasek
- Renee Wondrasek
- Dave Berndt
- [Nicolas Hery](http://nicolashery.com/)

And finally, my sincere thanks to all of the MarkdownPad users who emailed, tweeted, and posted such wonderful feedback.

## Licenses

"Type" pattern   
Copyright Alte Mo / Subtle Patterns   
<http://subtlepatterns.com/>

### English (Unites States, Canada) Spell Check Dictionaries

The en_US and en_CA dictionaries come directly from SCOWL (up to level
60) and is thus under the same copyright of SCOWL.  The affix file is
a heavily modified version of the original english.aff file which was
released as part of Geoff Kuenning's Ispell and as such is covered by
his BSD license.  Part of SCOWL is also based on Ispell thus the
Ispell copyright is included with the SCOWL copyright.

The collective work is Copyright 2000-2011 by Kevin Atkinson as well
as any of the copyrights mentioned below:

	Copyright 2000-2011 by Kevin Atkinson
	
	Permission to use, copy, modify, distribute and sell these word
	lists, the associated scripts, the output created from the scripts,
	and its documentation for any purpose is hereby granted without fee,
	provided that the above copyright notice appears in all copies and
	that both that copyright notice and this permission notice appear in
	supporting documentation. Kevin Atkinson makes no representations
	about the suitability of this array for any purpose. It is provided
	"as is" without express or implied warranty.

Alan Beale <biljir@pobox.com> also deserves special credit as he has,
in addition to providing the 12Dicts package and being a major
contributor to the ENABLE word list, given me an incredible amount of
feedback and created a number of special lists (those found in the
Supplement) in order to help improve the overall quality of SCOWL.

The 10 level includes the 1000 most common English words (according to
the Moby (TM) Words II [MWords] package), a subset of the 1000 most
common words on the Internet (again, according to Moby Words II), and
frequently class 16 from Brian Kelk's "UK English Wordlist
with Frequency Classification".

The MWords package was explicitly placed in the public domain:

	The Moby lexicon project is complete and has
	been place into the public domain. Use, sell,
	rework, excerpt and use in any way on any platform.
	
	Placing this material on internal or public servers is
	also encouraged. The compiler is not aware of any
	export restrictions so freely distribute world-wide.
	
	You can verify the public domain status by contacting
	
	Grady Ward
	3449 Martha Ct.
	Arcata, CA  95521-4884
	
	grady@netcom.com
	grady@northcoast.com

The "UK English Wordlist With Frequency Classification" is also in the
Public Domain:

	Date: Sat, 08 Jul 2000 20:27:21 +0100
	From: Brian Kelk <Brian.Kelk@cl.cam.ac.uk>
	
	> I was wondering what the copyright status of your "UK English
	> Wordlist With Frequency Classification" word list as it seems to
	> be lacking any copyright notice.
	
	There were many many sources in total, but any text marked
	"copyright" was avoided. Locally-written documentation was one
	source. An earlier version of the list resided in a filespace called
	PUBLIC on the University mainframe, because it was considered public
	domain.
	
	Date: Tue, 11 Jul 2000 19:31:34 +0100
	
	> So are you saying your word list is also in the public domain?
	
	That is the intention.

The 20 level includes frequency classes 7-15 from Brian's word list.

The 35 level includes frequency classes 2-6 and words appearing in at
least 11 of 12 dictionaries as indicated in the 12Dicts package.  All
words from the 12Dicts package have had likely inflections added via
my inflection database.

The 12Dicts package and Supplement is in the Public Domain.

The WordNet database, which was used in the creation of the
Inflections database, is under the following copyright:

	This software and database is being provided to you, the LICENSEE,
	by Princeton University under the following license.  By obtaining,
	using and/or copying this software and database, you agree that you
	have read, understood, and will comply with these terms and
	conditions.:
	
	Permission to use, copy, modify and distribute this software and
	database and its documentation for any purpose and without fee or
	royalty is hereby granted, provided that you agree to comply with
	the following copyright notice and statements, including the
	disclaimer, and that the same appear on ALL copies of the software,
	database and documentation, including modifications that you make
	for internal use or for distribution.
	
	WordNet 1.6 Copyright 1997 by Princeton University.  All rights
	reserved.
	
	THIS SOFTWARE AND DATABASE IS PROVIDED "AS IS" AND PRINCETON
	UNIVERSITY MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR
	IMPLIED.  BY WAY OF EXAMPLE, BUT NOT LIMITATION, PRINCETON
	UNIVERSITY MAKES NO REPRESENTATIONS OR WARRANTIES OF MERCHANT-
	ABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF THE
	LICENSED SOFTWARE, DATABASE OR DOCUMENTATION WILL NOT INFRINGE ANY
	THIRD PARTY PATENTS, COPYRIGHTS, TRADEMARKS OR OTHER RIGHTS.
	
	The name of Princeton University or Princeton may not be used in
	advertising or publicity pertaining to distribution of the software
	and/or database.  Title to copyright in this software, database and
	any associated documentation shall at all times remain with
	Princeton University and LICENSEE agrees to preserve same.

The 40 level includes words from Alan's 3esl list found in version 4.0
of his 12dicts package.  Like his other stuff the 3esl list is also in the
public domain.

The 50 level includes Brian's frequency class 1, words words appearing
in at least 5 of 12 of the dictionaries as indicated in the 12Dicts
package, and uppercase words in at least 4 of the previous 12
dictionaries.  A decent number of proper names is also included: The
top 1000 male, female, and Last names from the 1990 Census report; a
list of names sent to me by Alan Beale; and a few names that I added
myself.  Finally a small list of abbreviations not commonly found in
other word lists is included.

The name files form the Census report is a government document which I
don't think can be copyrighted.

The file special-jargon.50 uses common.lst and word.lst from the
"Unofficial Jargon File Word Lists" which is derived from "The Jargon
File".  All of which is in the Public Domain.  This file also contain
a few extra UNIX terms which are found in the file "unix-terms" in the
special/ directory.

The 55 level includes words from Alan's 2of4brif list found in version
4.0 of his 12dicts package.  Like his other stuff the 2of4brif is also
in the public domain.

The 60 level includes all words appearing in at least 2 of the 12
dictionaries as indicated by the 12Dicts package.

The 70 level includes Brian's frequency class 0 and the 74,550 common
dictionary words from the MWords package.  The common dictionary words,
like those from the 12Dicts package, have had all likely inflections
added.  The 70 level also included the 5desk list from version 4.0 of
the 12Dics package which is the public domain.

The 80 level includes the ENABLE word list, all the lists in the
ENABLE supplement package (except for ABLE), the "UK Advanced Cryptics
Dictionary" (UKACD), the list of signature words in from YAWL package,
and the 10,196 places list from the MWords package.

The ENABLE package, mainted by M\Cooper <thegrendel@theriver.com>,
is in the Public Domain:

	The ENABLE master word list, WORD.LST, is herewith formally released
	into the Public Domain. Anyone is free to use it or distribute it in
	any manner they see fit. No fee or registration is required for its
	use nor are "contributions" solicited (if you feel you absolutely
	must contribute something for your own peace of mind, the authors of
	the ENABLE list ask that you make a donation on their behalf to your
	favorite charity). This word list is our gift to the Scrabble
	community, as an alternate to "official" word lists. Game designers
	may feel free to incorporate the WORD.LST into their games. Please
	mention the source and credit us as originators of the list. Note
	that if you, as a game designer, use the WORD.LST in your product,
	you may still copyright and protect your product, but you may *not*
	legally copyright or in any way restrict redistribution of the
	WORD.LST portion of your product. This *may* under law restrict your
	rights to restrict your users' rights, but that is only fair.

UKACD, by J Ross Beresford <ross@bryson.demon.co.uk>, is under the
following copyright:

	Copyright (c) J Ross Beresford 1993-1999. All Rights Reserved.
	
	The following restriction is placed on the use of this publication:
	if The UK Advanced Cryptics Dictionary is used in a software package
	or redistributed in any form, the copyright notice must be
	prominently displayed and the text of this document must be included
	verbatim.
	
	There are no other restrictions: I would like to see the list
	distributed as widely as possible.

The 95 level includes the 354,984 single words, 256,772 compound
words, 4,946 female names and the 3,897 male names, and 21,986 names
from the MWords package, ABLE.LST from the ENABLE Supplement, and some
additional words found in my part-of-speech database that were not
found anywhere else.

Accent information was taken from UKACD.

My VARCON package was used to create the American, British, and
Canadian word list. 

Since the original word lists used used in the VARCON package came
from the Ispell distribution they are under the Ispell copyright:

	Copyright 1993, Geoff Kuenning, Granada Hills, CA
	All rights reserved.
	
	Redistribution and use in source and binary forms, with or without
	modification, are permitted provided that the following conditions
	are met:
	
	1. Redistributions of source code must retain the above copyright
	 notice, this list of conditions and the following disclaimer.
	2. Redistributions in binary form must reproduce the above copyright
	 notice, this list of conditions and the following disclaimer in the
	 documentation and/or other materials provided with the distribution.
	3. All modifications to the source code must be clearly marked as
	 such.  Binary redistributions based on modified source code
	 must be clearly marked as modified versions in the documentation
	 and/or other materials provided with the distribution.
	(clause 4 removed with permission from Geoff Kuenning)
	5. The name of Geoff Kuenning may not be used to endorse or promote
	 products derived from this software without specific prior
	 written permission.
	
	THIS SOFTWARE IS PROVIDED BY GEOFF KUENNING AND CONTRIBUTORS ``AS
	IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
	LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
	FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL GEOFF
	KUENNING OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
	INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
	BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
	LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
	CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
	LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
	ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
	POSSIBILITY OF SUCH DAMAGE.

### English (United Kingdom) Spell Check Dictionary

This dictionary was initially based on a subset of the 
original English wordlist created by Kevin Atkinson for 
Pspell and  Aspell and thus is covered by his original 
LGPL licence. 

It has been extensively updated by David Bartlett, Brian Kelk
and Andrew Brown:

- numerous Americanism have been removed
- numerous American spellings have been corrected
- missing words have been added
- many errors have been corrected
- compound hyphenated words have been added where appropriate

Valuable inputs to this process were received from many other 
people - far too numerous to name. Serious thanks to you all
for your greatly appreciated help.

This word list is intended to be a good representation of
current modern British English and thus it should be a good 
basis for Commonwealth English in most countries of the world 
outside North America.

The affix file has been created completely from scratch
by David Bartlett and Andrew Brown, based on the published 
rules for MySpell and is also provided under the LGPL.

In creating the affix rules an attempt has been made to 
reproduce the most general rules for English word
formation, rather than merely use it as a means to
compress the size of the dictionary. It is hoped that this
will facilitate future localisation to other variants of
English.

Please let David Bartlett <dwb@openoffice.org> know of any 
errors that you find.

### Polish Spell Check Dictionary

This dictionary for spell-checking Polish texts is licensed under
GPL, LGPL, MPL (Mozilla Public License) and Creative Commons
ShareAlike licenses (see http://creativecommons.org/licenses/sa/1.0).

This version of the dictionary was generated on 2008.12.06

Dictionary maintainer: Marek Futrega (futrega@gmail.com) 
Corrections: Marcin Miłkowski

### Russian Spell Check Dictionary

Copyright (c) 1997-2008, Alexander I. Lebedev

All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

* Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
* Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.
* Modified versions must be clearly marked as such.
* The name of Alexander I. Lebedev may not be used to endorse or promote
products derived from this software without specific prior written
permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE.

### Diccionario para corrección ortográfica en español

VERSIÓN LOCALIZADA PARA ESPAÑA   
Versión 0.6   

1. AUTOR

   Este diccionario ha sido desarrollado inicialmente por Santiago Bosio;
quien actualmente coordina el desarrollo de todos los diccionarios localizados.

   Si desea contactar al autor, por favor envíe sus mensajes mediante correo
electrónico a:

    santiago.bosio <en> gmail <punto> com
        (reemplace <en> por @ y <punto> por . al enviar su mensaje)

   El diccionario es un desarrollo completamente nuevo, y NO ESTÁ BASADO en el
trabajo de Jesús Carretero y Santiago Rodríguez, ni en la versión adaptada al
formato de MySpell por Richard Holt.

2. LICENCIA

   Este diccionario para corrección ortográfica, integrado por el fichero
de afijos y la lista de palabras (es_ES[.aff|.dic]) se distribuye
bajo un triple esquema de licencias disjuntas: GNU GPL versión 3 o posterior,
GNU LGPL versión 3 o posterior, ó MPL versión 1.1 o posterior. Puede
seleccionar libremente bajo cuál de estas licencias utilizará este diccionario.
Encontrará copias de las licencias adjuntas en este mismo paquete.

3. COLABORACIÓN

   Este diccionario es resultado del trabajo colaborativo de muchas personas.
La buena noticia es que ¡usted también puede participar!

   ¿Tiene dudas o sugerencias? ¿Desearía ver palabras agregadas, o que se
realizaran correcciones? Sólo debe contactar al encargado de mantenimiento de
este diccionario, a través de su correo electrónico, quien se encargará de
evacuar sus dudas, o de realizar las modificaciones necesarias para la próxima
versión del diccionario.

4. AGRADECIMIENTOS

   Hay varias personas que han colaborado con aportes o sugerencias a la
creación de este diccionario. Se agradece especialmente a:

- Richard Holt.
- Marcelo Garrone.
- Kevin Hendricks.
- Juan Rey Saura.
- Carlos Dávila.
- Román Gelbort.
- J. Eduardo Moreno.
- Gonzalo Higuera Díaz.
- Ricardo Palomares Martínez.
- Sergio Medina.
- Ismael Olea.
- Alejandro Moreno.
- Alexandro Colorado.
- Andrés Sánchez.
- Juan Rafael Fernández García.
- KNTRO
- Ricardo Berlasso.
- y a todos los integrantes de la comunidad en español que proponen mejoras
 a este diccionario.

### Diccionario para corrección ortográfica en español

VERSIÓN LOCALIZADA PARA MÉXICO   
Versión 0.6   

1. AUTOR

   Este diccionario ha sido desarrollado inicialmente por Santiago Bosio;
quien actualmente coordina el desarrollo de todos los diccionarios localizados.

   Si desea contactar al autor, por favor envíe sus mensajes mediante correo
electrónico a:

	santiago.bosio <en> gmail <punto> com
	    (reemplace <en> por @ y <punto> por . al enviar su mensaje)

   El diccionario es un desarrollo completamente nuevo, y NO ESTÁ BASADO en el
trabajo de Jesús Carretero y Santiago Rodríguez, ni en la versión adaptada al
formato de MySpell por Richard Holt.

2. LICENCIA

   Este diccionario para corrección ortográfica, integrado por el fichero
de afijos y la lista de palabras (es_MX[.aff|.dic]) se distribuye
bajo un triple esquema de licencias disjuntas: GNU GPL versión 3 o posterior,
GNU LGPL versión 3 o posterior, ó MPL versión 1.1 o posterior. Puede
seleccionar libremente bajo cuál de estas licencias utilizará este diccionario.
Encontrará copias de las licencias adjuntas en este mismo paquete.

3. COLABORACIÓN

   Este diccionario es resultado del trabajo colaborativo de muchas personas.
La buena noticia es que ¡usted también puede participar!

   ¿Tiene dudas o sugerencias? ¿Desearía ver palabras agregadas, o que se
realizaran correcciones? Sólo debe contactar al encargado de mantenimiento de
este diccionario, a través de su correo electrónico, quien se encargará de
evacuar sus dudas, o de realizar las modificaciones necesarias para la próxima
versión del diccionario.

4. AGRADECIMIENTOS

   Hay varias personas que han colaborado con aportes o sugerencias a la
creación de este diccionario. Se agradece especialmente a:

- Richard Holt.
- Marcelo Garrone.
- Kevin Hendricks.
- Juan Rey Saura.
- Carlos Dávila.
- Román Gelbort.
- J. Eduardo Moreno.
- Gonzalo Higuera Díaz.
- Ricardo Palomares Martínez.
- Sergio Medina.
- Ismael Olea.
- Alejandro Moreno.
- Alexandro Colorado.
- Andrés Sánchez.
- Juan Rafael Fernández García.
- KNTRO
- Ricardo Berlasso.
- y a todos los integrantes de la comunidad en español que proponen mejoras
 a este diccionario.

### Dutch Spell Check Dictionary

1. Name: Dutch word list for spell checking - OpenTaal
2. Version of words list: 2.00G; version of spell checking: 2.00G.
3. Requirements: Hunspell 1.2.8 and higher
4. Spelling Seal of Dutch Language Union: The OpenTaal list of lemmas has 
   received the Spelling Seal of Approval from the Dutch Language Union, the 
   formal Dutch language institute. For more information please see: 
   http://www.taalunieversum.org/keurmerk/
5. Copyrights: © 2006-2010 OpenTaal, © 2001-2005 Simon Brouwer e.a., 
   © 1996 Nederlandstalige Tex Gebruikersgroep
6. Licenses: OpenTaal aims to create and publish free Dutch language files. To 
   enable the broadest (re)use the language files are freely available under the 
   below, liberal licenses at the discretion of the user. We strongly recommend 
   to read the applicable license before usage.
   A. BSD (revised version):
   - Full license text: http://creativecommons.org/licenses/BSD/legalcode
   - Summary: http://creativecommons.org/licenses/BSD/deed.en
   B. Creative Commons, Attribution 3.0 (unported)
   - Full license text: http://creativecommons.org/licenses/by/3.0/legalcode
   - Summary: http://creativecommons.org/licenses/by/3.0/deed.en
7. Support OpenTaal: OpenTaal is a non-profit volunteer project. With your 
   (small) financial support OpenTaal will further expand its activities and 
   enhance its professionalism. Your donation is welcome at
   account number: 15.62.32.782, BIC: RABONL2U, IBAN: NL88RABO0156232782 of 
   Stichting OpenTaal / OpenTaal Foundation. In the Netherlands your donations 
   are tax deductible. OpenTaal Foundation has been designated by the Dutch Tax 
   Administration as an Institution for General Benefit (algemeen nut beogende 
   instelling or ANBI). Please see: http://belastingdienst.nl/anbi/
8. Participate: Everyone is welcome to participate. Please give feedback, 
   discuss on the mailing list or run Harvester. By contributing to the project 
   you agree that your contribution is available under free or/open source 
   licenses. In case you wish, your name will be mentioned on the website. Your 
   are invited to send us your written request.
9. Rights of third parties: OpenTaal respects the rights of third parties and 
   aims to keep its data freely available. Therefore you may no use protected 
   sources of third parties, i.e. dictionaries, without their permission when 
   you contribute to the project. It is permitted to use the materials of the 
   Dutch Language Union, i.e. their spelling instruction and word list. In case 
   you believe OpenTaal is violating your rights, we ask you to send us a 
   written notice as soon as possible.
10. Contact: OpenTaal Foundation, http://www.opentaal.org, bestuur@opentaal.org 

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  

### English (New Zealand) Spell Check Dictionary

####Introduction

en_NZ.dic has been altered to include New Zealand places,
including major cities and towns, and major suburbs. It
also contains NZ words, organisations and expressions.

en_NZ.aff has had a few REPlace strings added, but is
basically unchanged.


#### Acknowledgements

Thanks must go to the original creators of the British
dictionary, David Bartlett, Brian Kelk and Andrew Brown.

I wouldn't have started this without seeing the Australian
dictionary, thanks Kelvin Eldridge, Jean Hollis Weber and
David Wilson.

And thank you to all who've contributed to OpenOffice.org.

#### License

This dictionary is covered by the GNU Lesser General Public
License, viewable at http://www.gnu.org/copyleft/lesser.html

#### Issues

Many of the proper nouns already in the dictionary do not have
an affix for 's.
All my new words start after the z's of the original dictionary.

#### Contact

Contact Tristan Burtenshaw (hooty@slingshot.co.nz) with any words,
places or other suggestions for the dictionary. 

### English (South Africa) Spell Check

#### 1. Welcome

This spellchecker is Free Software:

  Free to use - Free to share - Free to change.

See section 4. Contributing to see how you can help make it even better.

#### Why Free Software?

The Translate.org.za project's aim is to make language resources and software
available to the speakers of that language and licensed in such a way that the
resources remain Free and thus available to all the language's speakers.
After all it is you, the speakers of South African English, who has actually developed
it into the language that it is today.

#### What is Free Software?

For a good explanation of Free Software visit:
 http://www.gnu.org/philosophy/philosophy.html AND
 http://www.gnu.org/philosophy/free-sw.html

#### Copyright

##### British English Wordlist

The South African English wordlist uses the same list developed for the
British English spell checker.  That word list itself is derived from
the English word lists developed for Aspell.  This list is released
under the LGPL.

More details of the British English dictionary project can be found here:
http://en-gb.pyxidium.co.uk/dictionary

From the README for the British English Myspell spell checker:

	This dictionary was initially based on a subset of the
	original English wordlist created by Kevin Atkinson for
	Pspell and  Aspell and thus is covered by his original
	LGPL licence.
	
	It has been extensively updated by David Bartlett, Brian Kelk
	and Andrew Brown:
	- numerous Americanism have been removed
	- numerous American spellings have been corrected
	- missing words have been added
	- many errors have been corrected
	- compound hyphenated words have been added where appropriate
	
	Valuable inputs to this process were received from many other
	people - far too numerous to name. Serious thanks to you all
	for your greatly appreciated help.
	
	This word list is intended to be a good representation of
	current modern British English and thus it should be a good
	basis for Commonwealth English in most countries of the world
	outside North America.
	
	The affix file has been created completely from scratch
	by David Bartlett and Andrew Brown, based on the published
	rules for MySpell and is also provided under the LGPL.
	
	In creating the affix rules an attempt has been made to
	reproduce the most general rules for English word
	formation, rather than merely use it as a means to
	compress the size of the dictionary. It is hoped that this
	will facilitate future localisation to other variants of
	English.
	
	Please let David Bartlett <dwb@openoffice.org> know of any
	errors that you find.
	
	The current release is R 1.18, 11/04/05

##### MySpell Affix File

Copyright David Bartlett and Andrew Brown
Released under the LGPL

##### South African English Wordlists

See the respective header files of the source wordlists for their copyright.
All those developed by the Zuza Software Foundation are released under the
LGPL.

#### 3. Contributing

You can help to make this software better by:

1. Contributing corrections and missing words
2. Contributing your wordlists
3. Reviewing the existing wordlists and user contributed lists.
4. Joining the Afrikaans translation and dictionary discussion list
   'translate-discuss-af' at: http://sourceforge.net/mail/?group_id=91920

Email your contributions to Dwayne Bailey <dwayne@translate.org.za>.

#### 4. Copying

This software is released under the LGPL.

### DICTIONNAIRE ORTHOGRAPHIQUE FRANÇAIS «Moderne»

version 4.1

Olivier R. - dicollecte<at>free<dot>fr
Dicollecte: http://www.dicollecte.org/

Licences:

* MPL: Mozilla Public License
 version 1.1 ou supérieure  --  http://www.mozilla.org/MPL/MPL-1.1.html
* GPL: GNU General Public License
 version 2.0 ou supérieure  --  http://www.gnu.org/licenses/gpl-2.0.html
* LGPL: GNU Lesser General Public License
 version 2.1 ou supérieure  --  http://www.gnu.org/licenses/lgpl-2.1.html

Ce dictionnaire ne peut fonctionner qu’avec un logiciel utilisant le
correcteur Hunspell : OpenOffice.org 3.2+, Firefox 3.5+, Thunderbird 3+

Principaux contributeurs :

- Sylvain P. ;
- Laurent Dubois ;
- Pierre Poisson ;
- Jean-Luc T. ;
- Pierre-Yves ;
- Dominique Pellé ;
- Romain Muller et Serge Bibauw, de l’association RENOUVO, grâce à qui
 la nouvelle orthographe et ses anciennes variantes ont pu être établies ;
- Chantal Contant, pour ses recherches sur la réforme de 1990 ;
- Philipp Burgess, pour la normalisation de l’unicode avec Hunspell.

Merci aussi à tous ceux qui ont apporté leur pierre à l’édifice.
http://www.dicollecte.org/members.php?prj=fr

Pour participer à l’amélioration du dictionnaire, allez sur : http://www.dicollecte.org/

### Dicionário para correção ortográfica da língua Portuguesa

Autor/Author: Raimundo Moura <raimundomoura@openoffice.org>

pt-BR: Este dicionário está em desenvolvimento por Raimundo Moura e sua equipe. Ele está licenciado sob os termos da Licença Pública Geral Menor versão 2.1 (LGPLv2.1), como publicado pela Free Software Foundation. Os créditos estão disponíveis em http://www.broffice.org/creditos e você pode encontrar novas versões em http://www.broffice.org/verortografico.

en-US: This dictionary is under development by Raimundo Moura and his team. It is licensed under the terms of the GNU Lesser General Public License version 2.1 (LGPLv2.1), as published by the Free Software Foundation. The credits are available at http://www.broffice.org/creditos and you can find new releases at http://www.broffice.org/verortografico.

Copyright (C) 2006 - 2010 por/by Raimundo Santos Moura <raimundomoura@openoffice.org>

### Extended WPF Toolkit

Copyright © Xceed Software Inc. 2010-2012

### Pechkin

Copyright 2012 by Slava Kolobaev. This work is made available under the terms of the Creative Commons Attribution 3.0 license, http://creativecommons.org/licenses/by/3.0/

### MarkdownDeep

Copyright 2010-2011 Topten Software

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this product except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

### MarkdownSharp

Copyright (c) 2009 - 2010 Jeff Atwood

http://www.opensource.org/licenses/mit-license.php
 
Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

### Markdown
Copyright (c) 2003-2004 John Gruber
<http://daringfireball.net/>  
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

* Redistributions of source code must retain the above copyright notice,
  this list of conditions and the following disclaimer.

* Redistributions in binary form must reproduce the above copyright
  notice, this list of conditions and the following disclaimer in the
  documentation and/or other materials provided with the distribution.

* Neither the name "Markdown" nor the names of its contributors may
  be used to endorse or promote products derived from this software
  without specific prior written permission.

This software is provided by the copyright holders and contributors "as
is" and any express or implied warranties, including, but not limited
to, the implied warranties of merchantability and fitness for a
particular purpose are disclaimed. In no event shall the copyright owner
or contributors be liable for any direct, indirect, incidental, special,
exemplary, or consequential damages (including, but not limited to,
procurement of substitute goods or services; loss of use, data, or
profits; or business interruption) however caused and on any theory of
liability, whether in contract, strict liability, or tort (including
negligence or otherwise) arising in any way out of the use of this
software, even if advised of the possibility of such damage.

### NLog

Copyright (c) 2004-2011 Jaroslaw Kowalski <jaak@jkowalski.net>

All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

* Redistributions of source code must retain the above copyright notice,
  this list of conditions and the following disclaimer.

* Redistributions in binary form must reproduce the above copyright notice,
  this list of conditions and the following disclaimer in the documentation
  and/or other materials provided with the distribution.

* Neither the name of Jaroslaw Kowalski nor the names of its
  contributors may be used to endorse or promote products derived from this
  software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
THE POSSIBILITY OF SUCH DAMAGE.

### NHunspell

(c) by Maierhofer Software an the Hunspell Developers

### RestSharp
Copyright 2010 John Sheehan

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License. 

### WPF Localization Extension

Copyright Bernhard Millauer, Uwe Mayer   
Licensed under Microsoft Public License (Ms-PL)   
http://wpflocalizeextension.codeplex.com/license

### ClearScript

Copyright (c) Microsoft Corporation. All rights reserved.
Licensed under Microsoft Public License (Ms-PL) 
https://clearscript.codeplex.com/license

### Marked

Copyright (c) 2011-2013, Christopher Jeffrey (https://github.com/chjj/)

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

### OpenSSL

Copyright (c) 1998-2008 The OpenSSL Project.  All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer. 

2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in
   the documentation and/or other materials provided with the
   distribution.

3. All advertising materials mentioning features or use of this
   software must display the following acknowledgment:
   "This product includes software developed by the OpenSSL Project
   for use in the OpenSSL Toolkit. (http://www.openssl.org/)"

4. The names "OpenSSL Toolkit" and "OpenSSL Project" must not be used to
   endorse or promote products derived from this software without
   prior written permission. For written permission, please contact
   openssl-core@openssl.org.

5. Products derived from this software may not be called "OpenSSL"
   nor may "OpenSSL" appear in their names without prior written
   permission of the OpenSSL Project.

6. Redistributions of any form whatsoever must retain the following
   acknowledgment:
   "This product includes software developed by the OpenSSL Project
   for use in the OpenSSL Toolkit (http://www.openssl.org/)"

THIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS'' AND ANY
EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE OpenSSL PROJECT OR
ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
OF THE POSSIBILITY OF SUCH DAMAGE.

--------

This product includes cryptographic software written by Eric Young
(eay@cryptsoft.com).  This product includes software written by Tim
Hudson (tjh@cryptsoft.com).

#### Original SSLeay License

Copyright (C) 1995-1998 Eric Young (eay@cryptsoft.com)
All rights reserved.

This package is an SSL implementation written
by Eric Young (eay@cryptsoft.com).
The implementation was written so as to conform with Netscape's SSL.

This library is free for commercial and non-commercial use as long as
the following conditions are adhered to.  The following conditions
apply to all code found in this distribution, be it the RC4, RSA,
lhash, DES, etc., code; not just the SSL code.  The SSL documentation
included with this distribution is covered by the same copyright terms
except that the holder is Tim Hudson (tjh@cryptsoft.com).

Copyright remains Eric Young's, and as such any Copyright notices in
the code are not to be removed.
If this package is used in a product, Eric Young should be given attribution
as the author of the parts of the library used.
This can be in the form of a textual message at program startup or
in documentation (online or textual) provided with the package.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the copyright
   notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.
3. All advertising materials mentioning features or use of this software
   must display the following acknowledgment:
   "This product includes cryptographic software written by
    Eric Young (eay@cryptsoft.com)"
   The word 'cryptographic' can be left out if the routines from the library
   being used are not cryptographic related :-).
4. If you include any Windows specific code (or a derivative thereof) from 
   the apps directory (application code) you must include an acknowledgment:
   "This product includes software written by Tim Hudson (tjh@cryptsoft.com)"

THIS SOFTWARE IS PROVIDED BY ERIC YOUNG ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

The license and distribution terms for any publicly available version or
derivative of this code cannot be changed.  i.e. this code cannot simply be
copied and put under another distribution license
[including the GNU Public Licence.]